#'
#' The genomic STate ANnotation package
#' 
#' @name STAN-package
#' @docType package
#' @title The genomic STate ANnotation package
#' @author Benedikt Zacher, Julia Ertl, Julien Gagneur, Achim Tresch
#' @keywords package
#' @references Zacher, B. and Lidschreiber, M. and Cramer, P. and Gagneur, J. and Tresch, A. (2014): Annotation of genomics data using bidirectional hidden Markov models unveils variations in Pol II transcription cycle Mol. Syst. Biol. 10:768
#' @useDynLib STAN
NULL


#' Training regions for the Roadmap Epigenomics data set. Three ENCODE pilot regions with data from two cell lines.
#'
#' @name trainRegions
#' @docType data
#' @author Benedikt Zacher, Julia Ertl, Julien Gagneur, Achim Tresch
#' @keywords data
NULL

#' The data for the bdHMM example in the vignette and examples in the manual
#'
#' @name example
#' @docType data
#' @author Benedikt Zacher, Julia Ertl, Julien Gagneur, Achim Tresch
#' @keywords data
NULL

#' Pre-computed flag sequence for the 'example' data.
#'
#' @name flags
#' @docType data
#' @author Benedikt Zacher, Julia Ertl, Julien Gagneur, Achim Tresch
#' @keywords data
NULL

#' Observation sequence for the 'example' data.
#'
#' @name observations
#' @docType data
#' @author Benedikt Zacher, Julia Ertl, Julien Gagneur, Achim Tresch
#' @keywords data
NULL

#' Genomic positions of processed signal for the Roadmap Epigenomics data set. Regions from the ENCODE pilot phase.
#'
#' @name pilot.hg19
#' @docType data
#' @author Benedikt Zacher, Julia Ertl, Julien Gagneur, Achim Tresch
#' @keywords data
NULL

#' UCSC gene annotation for the Roadmap Epigenomics data set.
#'
#' @name ucscGenes
#' @docType data
#' @author Benedikt Zacher, Julia Ertl, Julien Gagneur, Achim Tresch
#' @keywords data
NULL


#' SGD annotation for the yeast TF example
#'
#' @name yeastTF_SGDGenes
#' @docType data
#' @author Benedikt Zacher, Julia Ertl, Julien Gagneur, Achim Tresch
#' @keywords data
NULL

#' Processed ChIP-on-chip data for yeast TF example
#'
#' @name yeastTF_databychrom_ex
#' @docType data
#' @author Benedikt Zacher, Julia Ertl, Julien Gagneur, Achim Tresch
#' @keywords data
NULL
